/*
 * framekeeper.cpp
 *
 *  Created on: Aug 16, 2017
 *      Author: julien
 */

#include "framekeeper.hpp"

FrameKeeper::FrameKeeper(int fps) : frameCounter(0), timeBefore(time(0)), frame_time(1000/fps)
{
}

void FrameKeeper::calculate_fps(){
	frameCounter++;
	if (time(0) - timeBefore >= 1)
	{
		cout << "FPS: " << frameCounter << endl;
		frameCounter = 0;
		timeBefore = time(0);
	}
}


void FrameKeeper::wait(){
	t_frame_end = high_resolution_clock::now();
	time_span = t_frame_end - t_frame_beginning;

	while(time_span.count() < frame_time){
		t_frame_end = high_resolution_clock::now();
		time_span = t_frame_end - t_frame_beginning;
	}
}


void FrameKeeper::frame_beginning(){
	t_frame_beginning = high_resolution_clock::now();
}
